Name:           telepathy-farstream
Version:        0.6.1
Release:    1%{?dist}
Summary:        Telepathy client library to handle Call channels

License:        LGPLv2+
URL:            http://telepathy.freedesktop.org/wiki/Telepathy-Farsight
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz

BuildRequires: make
BuildRequires:  telepathy-glib-devel >= 0.19.0
BuildRequires:  farstream02-devel >= 0.2.7
BuildRequires:  dbus-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  gobject-introspection-devel

Provides:       telepathy-farsight = %{version}
Provides:       telepathy-farsight-python = %{version}
Provides:       %{name}-python = %{version}


%description
%{name} is a Telepathy client library that uses Farstream to handle
Call channels.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       telepathy-glib-devel >= 0.19.0
Requires:       farstream02-devel >= 0.2.7
Requires:       dbus-devel
Requires:       dbus-glib-devel
Requires:       pkgconfig

Provides:       telepathy-farsight-devel = %{version}


%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q


%build
%configure --enable-static=no
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%check
make check


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc NEWS README COPYING
%{_libdir}/libtelepathy-farstream*.so.*
%{_libdir}/girepository-1.0/TelepathyFarstream-0.6.typelib


%files devel
%doc %{_datadir}/gtk-doc/html/%{name}/
%{_libdir}/libtelepathy-farstream.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/telepathy-1.0/%{name}/
%{_datadir}/gir-1.0/TelepathyFarstream-0.6.gir


%changelog
* Tue Aug 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.1-1
- initial build
